#####  #   #####################
##   # #   #  BanChanW v.1.1.0 (2/8-97) for Eggdrop 1.1.x
##   # # # #  by Per Johansson <email: dw@mindless.com>
#####   # #   

##
# Description: checks what channels a joining user is on and kicks
#	if it matches one of the banned words u've set. (a temp ban time can be set)
# |ex. "pics warez" would ban #sexpics #pics #warez #warez666 and so on|
##


### SETTINGS ###

## words that are forbidden as part of a channel name 
set banwords "pics warez"

## in what channel(s) should this script be enabled in "#mychan #anotherchan" (default all)
set banchan "all"

##kick message-
set kickm "sorry u have joined enough channels allready"

##ban for how long (set to 2min default, to avoid lame auto-join if kicked 0=no ban)
set bantime "2"

#                                                # 
######## this is the end of user settings #########
# (no need to edit below this point)             #

bind join - * mbdw:bchan

proc mbdw:bchan {ni uh ha ch} {
global banchan niuhch
if { $banchan != "all" } {
if {[lsearch -glob [string tolower $banchan] [string tolower $ch]] == -1 } {return 0}
	}
bind raw - "319" mbdw:bcrpl
set niuhch "$ni $uh $ch"
putserv "WHOIS $ni"
}

proc mbdw:bcrpl {from key text} {
global banwords niuhch kickm bantime
set ni [lindex $niuhch 0] ; set uh [lindex $niuhch 1] ; set ch [lindex $niuhch 2]
set banwords [string tolower $banwords]
set onchans [string tolower [string trimleft [lrange $text 2 end] :]]
#putlog "f: $from k: $key t: $text bws: $banwords onch: $onchans"
foreach v $banwords {
if {[lsearch -glob $onchans "*$v*" ] != -1 } {
if { $bantime != "0" } {
newchanban $ch [maskhost $ni!$uh] BanChan $kickm $bantime
			}
putserv "KICK $ch $ni :BC: $kickm"
		}
	}
unbind raw - "319" mbdw:bcrpl
}

putlog "BanChanW v.1.1.0 loaded.."